From c23a250354fa7e38d9ff1652e4699859e5f8cfc4 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: May 23 2024 19:06:17 +0000
Subject: [PATCH 153/220] fix: Monkey patch to make 39 and 40 work


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 85fd6e4..ce4a0bd 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -69,7 +69,16 @@ BuildRequires:  just
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 6e03918..9b5c432 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -76,7 +76,16 @@ Requires:       cosmic-panel
 %prep
 %autosetup -n cosmic-applets-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 2b2ceed..d2e7cef 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -61,7 +61,16 @@ Requires:       cosmic-session
 %prep
 %autosetup -n cosmic-bg-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index b2b98a4..f69e36b 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -79,7 +79,16 @@ Recommends:     cosmic-session
 %prep
 %autosetup -n cosmic-comp-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 2c8b531..c815c6a 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -74,7 +74,16 @@ BuildRequires:  git-core
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index d033e69..3171636 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -74,7 +74,16 @@ BuildRequires:  git-core
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index e06c7fe..4719823 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -81,7 +81,16 @@ Requires:       cosmic-comp
 %prep
 %autosetup -n cosmic-greeter-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 cargo build --release --all --offline --frozen
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index ca57525..06d8d39 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -74,7 +74,16 @@ Requires:       pop-launcher
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index a50e2ac..f09a4b5 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -67,7 +67,16 @@ BuildRequires:  just
 %prep
 %autosetup -n cosmic-notifications-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 1dd84b3..a18f142 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -72,7 +72,16 @@ BuildRequires:  make
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 make all polkit-agent-helper-1=/usr/lib/polkit-1/polkit-agent-helper-1
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 5240cd0..2777aad 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -64,7 +64,16 @@ BuildRequires:  just
 %prep
 %autosetup -n cosmic-panel-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 1591874..cc7be4e 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -55,7 +55,16 @@ Cosmic-randr command line interface.}
 %prep
 %autosetup -n cosmic-randr-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 391fdfb..c76aeeb 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -58,7 +58,16 @@ BuildRequires:  just
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index c2d1e7b..0a9a07f 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -84,7 +84,16 @@ The session manager for the COSMIC desktop environment.}
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 09c2bb8..89456d2 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -71,7 +71,16 @@ Requires:       acpid
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 32e7603..7e02666 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -72,7 +72,16 @@ BuildRequires:  just
 %prep
 %autosetup -n cosmic-settings-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index c73357c..79ebd8a 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -72,7 +72,16 @@ Requires:       flatpak-libs
 %prep
 %autosetup -n cosmic-store-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index dd19140..513b173 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -73,7 +73,16 @@ BuildRequires:  git-core
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 343d7ca..c23318f 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -77,7 +77,16 @@ Requires:       cosmic-comp
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index 70c63d5..ce2efed 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -70,7 +70,16 @@ Requires:       fd-find
 %prep
 %autosetup -n pop-launcher-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 just build-release --offline --frozen
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index 216c89a..cb90afd 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -76,7 +76,16 @@ BuildRequires:  just
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config.toml
+# Check if .cargo/config.toml exists
+if [ -f .cargo/config.toml ]; then
+  # If it exists, append the contents of .vendor/config.toml to .cargo/config.toml
+  cat .vendor/config.toml >> .cargo/config.toml
+  echo "Appended .vendor/config.toml to .cargo/config.toml"
+else
+  # If it does not exist, append the contents of .vendor/config.toml to .cargo/config
+  cat .vendor/config.toml >> .cargo/config
+  echo "Appended .vendor/config.toml to .cargo/config"
+fi
 
 %build
 %cargo_build

